Alokai

BloomreachRecommendationsPathwaysGeneratedApiVisualSearchResponseApiRequest

Request parameters for visualSearchResponseApi operation in BloomreachRecommendationsPathwaysGeneratedApi.

interface BloomreachRecommendationsPathwaysGeneratedApiVisualSearchResponseApiRequest {
	readonly accountId: number;
	readonly authKey?: string;
	readonly brUid2: string;
	readonly domainKey: string;
	readonly fields?: string;
	readonly filter?: string;
	readonly imageId?: string;
	readonly itemIds?: string;
	readonly objectId?: number;
	readonly rows?: number;
	readonly skuId?: string;
	readonly url: string;
	readonly widgetId: string;
}

Properties

NameRequiredTypeDescription
accountIdRequirednumberYour site's numerical Bloomreach account ID. Your Bloomreach representative gives your site's account ID to you before or during your integration kickoff meeting. The example value shown here, <i>6276</i>, is included for your convenience to send a request with <b>Try It</b>.
authKeyOptionalstringThe unique key shared during the integration phase. This is used to authenticate your API call.
brUid2RequiredstringA first-party cookie created by the Bloomreach tracking pixel library (BrTrk). This cookie creates a unique, anonymous identifier for every browser or device. Use the default value provided, which is already encoded.
domainKeyRequiredstringYour site domain's ID, which is provided by Bloomreach. This ID is for the domain that you want to receive your Bloomreach API requests. This parameter identifies the specific site version when one account ID hosts multiple site versions with unique characteristics, such as language versions. The example value shown here, <i>bloomreach_devdocs</i>, is included for your convenience to send a request with <b>Try It</b>.
fieldsOptionalstringA comma-separated list of fields to be sent in the request. Alternatively, you may configure the fields in the Widget Configurator in the Dashboard instead. This parameter is required if not sent via the Dashboard.
filterOptionalstringThe filter parameter applies a faceted filter to the returned products, searching for products that fit your parameter values. Any facet that you want to filter must be in your feed. Attributes must be enabled and mapped by Bloomreach. Let your Bloomreach representative know which attributes in your content feed you want to apply as filters to search results. You can filter results based on numeric ranges. For example, `&filter=(price:["100" TO ""])`. Note that a negative filter on ranges isn't supported. To provide multiple filters, send multiple filter parameters. For example, `&filter=(price:["" TO "100"])&filter=(color_groups: ("blue"))`.
imageIdOptionalstringYou’ll get this value in the Upload API response once an image is uploaded. You can use `image_id` to make any number of subsequent queries for widget responses (with different parameters/filters and objects) without the need to re-upload.
itemIdsOptionalstringItem ID/PID of the item for which you want visual recommendations. Passing this parameter makes it a Visual Recommendations request.
objectIdOptionalnumberBy default, you will get the recommendations for the whole image you uploaded if you make an API call without the object_id [denoted by -1]. To get more targeted results, you can also make API calls specific to an `object_id`.
rowsOptionalnumberThe number of matching items to return per results page in the API response. The maximum value is 200. The result size is used from the Dashboard if it isn't sent in the API. To enhance performance, limit this value to the number of items that you think is reasonable for a single page of search results.
skuIdOptionalstringIf you have SKUs in the catalog, `sku_id` should be passed, else this can be skipped.
urlRequiredstringThe absolute URL of the page where the request is initiated. Don't use a relative URL. The example value shown here, <i>https://www.documentation-site.com&lt;/i>, is included for your convenience to send a request with <b>Try It</b>.
widgetIdRequiredstringThe ID of the widget, which can be found in the Widget Configurator in the Dashboard. The example value shown here, <i>1jwy7eg9</i>, is included for your convenience to send a request with <b>Try It</b>.

On this page